import Dexie from "dexie";
import { Message } from "./Message";
export interface draft extends Message {
}
export declare enum EventType {
    DraftChange = "draft_Change"
}
declare class DraftTable {
    private draftTable?;
    Event: {
        DraftChange: string;
    };
    init(db: Dexie): void;
    putMsg(item: draft): Promise<void>;
    updateMsg(chatId: string, Itme: Partial<draft>): Promise<void>;
    deleteMsg(chatId: string): Promise<void>;
    getMsg(chatId: string): Promise<draft | undefined>;
    getAllDraftMsg(filter?: {
        (item: draft): boolean;
    }): Promise<draft[]>;
    publishNC(chatId: string): void;
}
declare const DraftModel: DraftTable;
export default DraftModel;
